ArrayPutAtMetaMethod (Groovy 5.0.6)
Description: declaration: package: org.codehaus.groovy.runtime.dgmimpl.arrays, class: ArrayPutAtMetaMethod

Package org.codehaus.groovy.runtime.dgmimpl.arrays

# Class ArrayPutAtMetaMethod

java.lang.Object
org.codehaus.groovy.reflection.ParameterTypes
groovy.lang.MetaMethod
org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod
org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayPutAtMetaMethod

All Implemented Interfaces:
  `MetaMember`, `Cloneable`

Direct Known Subclasses:
  `BooleanArrayPutAtMetaMethod`, `ByteArrayPutAtMetaMethod`, `CharacterArrayPutAtMetaMethod`, `DoubleArrayPutAtMetaMethod`, `FloatArrayPutAtMetaMethod`, `IntegerArrayPutAtMetaMethod`, `LongArrayPutAtMetaMethod`, `ObjectArrayPutAtMetaMethod`, `ShortArrayPutAtMetaMethod`

public abstract class ArrayPutAtMetaMethod extends ArrayMetaMethod

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod

  `INTEGER_CLASS, INTEGER_CLASS_ARR`

  ### Fields inherited from class groovy.lang.MetaMethod

  `EMPTY_ARRAY`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ArrayPutAtMetaMethod()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of this method.
  `Class`
  `getReturnType()`
  Returns the return type for this method.

  ### Methods inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod

  `getModifiers, normaliseIndex`

  ### Methods inherited from class org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod

  `createPojoCallSite`

  ### Methods inherited from class groovy.lang.MetaMethod

  `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getMopName, getSignature, invoke, isAbstract, isCacheable, isDefault, isMethod, isSame, processDoMethodInvokeException, toString`

  ### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

  `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.MetaMember

  `isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isSynthetic`

- ## Constructor Details

  - ### ArrayPutAtMetaMethod

    protected ArrayPutAtMetaMethod()

- ## Method Details

  - ### getName

    public String getName()
    Description copied from class: `MetaMethod`
    Returns the name of this method.
    Specified by:
      `getName` in interface `MetaMember`
    Specified by:
      `getName` in class `MetaMethod`
    Returns:
      name of this method

  - ### getReturnType

    public Class getReturnType()
    Description copied from class: `MetaMethod`
    Returns the return type for this method.
    Specified by:
      `getReturnType` in class `MetaMethod`
    Returns:
      the return type of this method